set term postscript eps color lw 2 18
set output 'ratio.eps'
set xlabel 'Depth'
set ylabel 'Velocity'
set key top left

zb=0.01
zs=0.01
dudz=1.
u1=6e-2

q1=(1. + zb)*log(1. + 1./zb) - 1.
q2=zs*log(1. + 1./zs) - 1.
a=dudz/(1./(zb + 1.) + q1/(q2*zs))
u(z)=a*(log(1. + z/zb) - q1/q2*log(1. - z/(zs + 1.)))
a=u1/(log(1. + 1./zb) - q1/q2*log(1. - 1./(zs + 1.)))

# fit b*u(x+1.) 'lake-8' via b
# plot 'lake-1' t 'L/d=1', 'lake-2' t 'L/d=2', 'lake-4' t 'L/d=4', 'lake-8' t 'L/d=8', u(x + 1.)

plot 'lake-1' t 'L/d=1', 'lake-2' u 1:($2*2.) t 'L/d=2', 'lake-4' u 1:($2*4.) t 'L/d=4', 'lake-8' u 1:($2*8.) t 'L/d=8', u(x + 1.)
