for Re in 1. 400.; do
    gnuplot <<EOF
set term postscript eps color lw 2 18
set output 'uprof-$Re.eps'
set key top left
set xlabel 'z'
set ylabel 'u'
plot [0:1]x/4.*(3.*x-2.) t 'analytical', \
          'uprof-1-$Re' u 3:4 t 'a = 1', \
          'uprof-2-$Re' u 3:4 t 'a = 2', \
          'uprof-4-$Re' u 3:4 t 'a = 4', \
          'uprof-8-$Re' u 3:4 t 'a = 8', \
          'uprof-16-$Re' u 3:4 t 'a = 16' lt 0

set output 'prof-$Re.eps'
set xlabel 'x'
set zlabel 'Water depth'
plot 3./2./100*x+1 t 'analytical', \
          'end-1-$Re.txt' u 1:4 t 'a = 1', \
          'end-2-$Re.txt' u 1:4 t 'a = 2', \
          'end-4-$Re.txt' u 1:4 t 'a = 4', \
          'end-8-$Re.txt' u 1:4 t 'a = 8', \
          'end-16-$Re.txt' u 1:4 t 'a = 16' lt 0

set output 'uminmax-$Re.eps'
set xlabel 'x/a'
set ylabel 'max_z(u(x,z)),min_z(u(x,z))'
set key center center
plot [-0.5:0.5][:0.26]\
     'u-1-$Re' u 1:2 w l t 'a=1' lt 1, 'u-1-$Re' u 1:3 w l t '' lt 1, \
     'u-2-$Re' u 1:2 w l t 'a=2' lt 2, 'u-2-$Re' u 1:3 w l t '' lt 2, \
     'u-4-$Re' u 1:2 w l t 'a=4' lt 3, 'u-4-$Re' u 1:3 w l t '' lt 3, \
     'u-8-$Re' u 1:2 w l t 'a=8' lt 4, 'u-8-$Re' u 1:3 w l t '' lt 4, \
     'u-16-$Re' u 1:2 w l t 'a=16' lt 5, 'u-16-$Re' u 1:3 w l t '' lt 5
EOF
done
